Bug 394101 - koffice: can't install Krita without Kexi
koffice: can't install Krita without Kexi
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: koffice (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-21 08:19 EST by Kevin Kofler
Modified: 2008-11-05 23:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 23:04:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2007-11-21 08:19:27 EST
Description of problem:
koffice-krita Requires koffice-filters which Requires koffice-kexi (through 
soname autoreqs).

Version-Release number of selected component (if applicable):
koffice-krita-1.6.3-13.fc7

How reproducible:
Always

Steps to Reproduce:
1. Try installing Krita on a system without Kexi.
  
Actual results:
Kexi is dragged in.

Expected results:
No need to install database access to install a picture editor.
Comment 1 Andreas Bierfert 2007-12-20 19:49:46 EST
Hm... the old story again about the -filters subpackage. Rex what do you think
about this. Should we split up the filter subpackage even more? Because I would
not feel good about removing the require on koffice-filters as it would just
workaround this but if you really want to use krita you probably need the
import/export filter...
Comment 2 Rex Dieter 2007-12-20 20:03:32 EST
Hmm... offhand I'd say we ought to both 
1.  remove the hard Requires: koffice-filters.  Strictly speaking it's not a
hard requirement, only a nice thing to have.  (or am I wrong here?)
and 
2. further split the filters to avoid/minimize cross dependencies.

Make sense?
Comment 3 Rex Dieter 2008-05-09 12:58:11 EDT
Andreas?  what do you think?

In the meantime, I'm starting to work on pkg'ing koffice2, will likely hit
same/similar issue.

(fwiw, retargetting f8)
Comment 4 Rex Dieter 2008-05-31 13:40:27 EDT
I'll take a closer look.
Comment 5 Fedora Update System 2008-10-20 16:48:13 EDT
koffice-1.6.3-16.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/koffice-1.6.3-16.fc9
Comment 6 Fedora Update System 2008-10-21 14:37:09 EDT
koffice-1.6.3-16.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/koffice-1.6.3-16.fc8
Comment 7 Fedora Update System 2008-10-23 12:36:15 EDT
koffice-1.6.3-16.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update koffice'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-9045
Comment 8 Fedora Update System 2008-10-23 12:40:41 EDT
koffice-1.6.3-16.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update koffice'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9083
Comment 9 Fedora Update System 2008-10-30 08:48:52 EDT
koffice-1.6.3-17.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update koffice'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-9045
Comment 10 Fedora Update System 2008-10-30 08:54:47 EDT
koffice-1.6.3-17.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update koffice'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-9083
Comment 11 Fedora Update System 2008-11-05 23:04:47 EST
koffice-1.6.3-17.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2008-11-05 23:10:19 EST
koffice-1.6.3-17.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.